/*
 * Alignment.h
 *
 * Taken from moses/phrase-extract/extract-ghkm/Alignemnt.h
 *
 */

#pragma once
#ifndef EXTRACT_LCFRS_ALIGNMENT_H_
#define EXTRACT_LCFRS_ALIGNMENT_H_

#include <string>
#include <utility>
#include <vector>

namespace Moses {
namespace LCFRS {

typedef std::vector<std::pair<int, int> > Alignment;

Alignment ReadAlignment(const std::string &);

}  // namespace LCFRS
}  // namespace Moses

#endif
